Bug 811338 - Cannot build package if process has timer with timeDate
Cannot build package if process has timer with timeDate
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Jiri Locker
Depends On:
  Show dependency treegraph
Reported: 2012-04-10 14:21 EDT by Jiri Locker
Modified: 2012-05-09 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
TimerDateProcess.bpmn2 (4.38 KB, application/xml)
2012-04-10 14:21 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-04-10 14:21:10 EDT
Created attachment 576543 [details]

Description of problem:
Package build fails if there is a process with timer node whose timerEventDefinition is timeDate. In designer this is done by setting the 'Time Date' property.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. import attached process
2. build the package
Actual results:
Package build fails with message:
> Process 'TimerDateProcess' [defaultPackage.TimerDateProcess]: Node '' [2] has timer with no delay specified.

Expected results:
The build should finish successfully. Timer needn't have the delay specified when the date is set.

Additional info:
Comment 1 Tihomir Surdilovic 2012-04-11 10:41:26 EDT
The issue here is that only cycle and duration are supported by the runtime. timedate is not (yet) but Designer was exposing this as a property of the intermediate timer events. I have removed support for timedate in Designer and this has been checked into designer master, 2.1.x and 2.2.x branches.
Comment 2 Ryan Zhang 2012-04-23 03:40:20 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 3 Jiri Locker 2012-04-23 10:19:05 EDT
Verified. The Time Date property has been removed. Thank you.

Note You need to log in before you can comment on or make changes to this bug.